Bug 238438

Summary: yum installation of hts rpm fails with a traceback
Product: Red Hat Enterprise Linux 5 Reporter: Martin Poole <mpoole>
Component: yumAssignee: James Antill <james.antill>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 5.0CC: gnichols, jlaska, jplans, kbaxley, pmatilai, rlandry
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: RHBA-2008-0388 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-21 10:20:21 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 243769    
Bug Blocks:    
Attachments:
Description Flags
log of "yum -d 99 install hts" none

Description Martin Poole 2007-04-30 10:22:30 EDT
Description of problem:

Attemping to to install the hardware test suite via yum fails with a recursion
limit traceback.

Version-Release number of selected component (if applicable):

yum-3.0.1-5.el5

How reproducible:

always

Steps to Reproduce:
1. Subscribe RHEL5 Server system to Hardware Cert channel
2. yum install hts
3.
  
Actual results:

see attached log (run with -d 99)

Expected results:

installation of package.

Additional info:

Same results are seen even if all dependencies are already installed.
Manual installation of hts package works (rpm -i).
Comment 1 Martin Poole 2007-04-30 10:22:31 EDT
Created attachment 153797 [details]
log of "yum -d 99 install hts"
Comment 2 Jeremy Katz 2007-04-30 14:48:15 EDT
Where is this package so that I can actually try to see what's going on?
Comment 5 RHEL Product and Program Management 2007-05-01 09:08:52 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Jeremy Katz 2007-05-02 21:46:47 EDT
The hts package obsoletes itself with no version specified.  Fix the broken package.
Comment 14 James Antill 2007-06-25 15:57:24 EDT
 Given that we want to fix this buy using yum-3.2.1 (I have a patch pending for
upstream), and yum-3.2.x breaks the rhn-plugin, I'm going to put a depends on
the fix for the rhn-plugin.
Comment 16 James Antill 2007-09-20 13:42:17 EDT
*** Bug 298301 has been marked as a duplicate of this bug. ***
Comment 17 James Antill 2007-09-20 13:56:38 EDT
 This obviously fails now, as we dropped the yum errata. Moving to 5.2.
Comment 21 errata-xmlrpc 2008-05-21 10:20:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0388.html
Comment 22 Chris Ward 2008-06-17 11:48:35 EDT
Reminder: This bug includes the 'RHTS' QA Whiteboard Keyword. Don't forget to add
'RHTSdone' to the QA Whiteboard along with a comment describing where the RHTS
test can be found once the RHTS test has been written. Otherwise, if an RHTS
will not be created, please remove RHTS from the qa whiteboard.